%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name lazr.smtptest

Name:           python-%{upstream_name}
Version:        2.0.3
Release:        1%{?dist}
Summary:        Test framework for SMTP-based applications

License:        LGPL
URL:            https://launchpad.net/lazr.smtptest
Source0:        http://pypi.python.org/packages/source/l/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
%if 0%{?with_python3}
BuildRequires: python3-pkgversion-macros
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-nose
%endif

Requires:       python-setuptools
Requires:       python-nose

%description
This is LAZR smtptest, a framework for testing SMTP-based applications and
libraries. It provides a real, live SMTP server that you can send messages
to, and from which you can read those test messages. This can be used to
ensure proper operation of your applications which send email.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        Test framework for SMTP-based applications
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-nose

%description -n python%{python3_pkgversion}-%{upstream_name}
This is LAZR smtptest, a framework for testing SMTP-based applications and
libraries. It provides a real, live SMTP server that you can send messages
to, and from which you can read those test messages. This can be used to
ensure proper operation of your applications which send email.
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}
# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3



%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%check
%{__python} setup.py nosetests

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py nosetests
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
%doc README.rst COPYING.txt HACKING.rst
%{python_sitelib}/lazr
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc README.rst COPYING.txt HACKING.rst
%{python3_sitelib}/lazr
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth
%endif


%changelog
* Wed Nov 28 2012 Aurelien Bompard - 1.3-1
- Initial package.
